#
# spec file for package pam_devperm (Version 2001.8.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pam_devperm
Copyright:    GPL or BSD
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      2001.8.31
Release:      24
Summary:      PAM module to change the permissions of device files
Source: pam_devperm.tar.bz2
Source1: logindevperm
Buildroot: %{_tmppath}/%{name}-root

%description
This PAM module reads the /etc/logindevperm configuration file and changes
the permissions and ownerships of the listed devices on login. On logout the
ownerships and permissions will be reset to the old value.
The action depends on the login terminal. The module does not check
if there is a conflicts between 2 or more users on different terminals.
The last user owns the device.

SuSE series: a

%prep
%setup -n %{name}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/security
mkdir -p $RPM_BUILD_ROOT/etc
make install FAKEROOT=$RPM_BUILD_ROOT
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/logindevperm
/lib/security/pam_devperm.so

%changelog -n pam_devperm
* Tue Sep 25 2001 - olh@suse.de
- add /dev/usbscanner to logindevperm to allow scanning as user
* Fri Aug 31 2001 - sndirsch@suse.de
- commented out line with nvidia devices in logindevperm, because
  this causes a black textconsole screen after terminating first
  X Session, when nvidia driver and xdm/kdm is used
--> http://sdb.suse.de/sdb/de/html/blackconsole.html
* Thu Jun 07 2001 - kukuk@suse.de
- Add cdrecorder, dvd and zip [Bug #8131]
- Add /dev/fd0*, /dev/fd1* [Bug #8684]
* Mon May 14 2001 - kukuk@suse.de
- Add cdrom1 - cdrom3 (Hope nobody has more then 4 CDROMs) [Bug #8131]
- Add /dev/vbi[0123] [Bug #8175]
* Mon Feb 12 2001 - kukuk@suse.de
- Fix logindevperm syntax errors
* Tue Jan 23 2001 - ro@suse.de
- added floppy-devices
* Tue Dec 19 2000 - kukuk@suse.de
- Add devices to config file
* Fri Dec 01 2000 - kukuk@suse.de
- Update sigfholder
* Wed Nov 29 2000 - kukuk@suse.de
- Save current file permissions and restore them if user logs out
* Wed Nov 22 2000 - kukuk@suse.de
- Initial version
